<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Uses of Class fr.ici.dataImporter.iciObjects.ICIObject</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="use: package: fr.ici.dataImporter.iciObjects, class: ICIObject">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class fr.ici.dataImporter.iciObjects.ICIObject" class="title">Uses of Class<br>fr.ici.dataImporter.iciObjects.ICIObject</h1>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Packages that use <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Package</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects.exporter">fr.ici.dataImporter.iciObjects.exporter</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects.transport">fr.ici.dataImporter.iciObjects.transport</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.insee">fr.ici.dataImporter.insee</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.osm">fr.ici.dataImporter.osm</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.paris">fr.ici.dataImporter.paris</a></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects">
<h2>Uses of <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a> in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Subclasses of <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a> in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></span></code></th>
<td class="col-last">
<div class="block">Address integration for the ICI project.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../Aggregate.html" title="class in fr.ici.dataImporter.iciObjects">Aggregate</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></span></code></th>
<td class="col-last">
<div class="block">Building integration in the ICI project.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></span></code></th>
<td class="col-last">
<div class="block">An household occupies a Housing and is composed of one or more Individuals.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../Housing.html" title="class in fr.ici.dataImporter.iciObjects">Housing</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></span></code></th>
<td class="col-last">
<div class="block">Individual for ICI simulations.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></span></code></th>
<td class="col-last">
<div class="block">General class for point of interest in the ICI project</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../WalkableTile.html" title="class in fr.ici.dataImporter.iciObjects">WalkableTile</a></span></code></th>
<td class="col-last">
<div class="block">Tile on which pedestrian can circulate</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects.exporter">
<h2>Uses of <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a> in <a href="../exporter/package-summary.html">fr.ici.dataImporter.iciObjects.exporter</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../exporter/package-summary.html">fr.ici.dataImporter.iciObjects.exporter</a> with type arguments of type <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">ExportToGraph.</span><code><span class="member-name-link"><a href="../exporter/ExportToGraph.html#exportToGraph(java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection,java.io.File,java.lang.String)">exportToGraph</a></span>&#8203;(java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lBuilding,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lPOI,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lWP,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lHH,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lIndiv,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;address,
java.util.List&lt;<a href="../Aggregate.html" title="class in fr.ici.dataImporter.iciObjects">Aggregate</a>&gt;&nbsp;lAg,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;partition,
java.io.File&nbsp;rootFolder,
java.lang.String&nbsp;name)</code></th>
<td class="col-last">
<div class="block">Main method to export ICI files sored in a regular way in the rootFolder</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects.transport">
<h2>Uses of <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a> in <a href="../transport/package-summary.html">fr.ici.dataImporter.iciObjects.transport</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Subclasses of <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a> in <a href="../transport/package-summary.html">fr.ici.dataImporter.iciObjects.transport</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../transport/BusStation.html" title="class in fr.ici.dataImporter.iciObjects.transport">BusStation</a></span></code></th>
<td class="col-last">
<div class="block">IdF Mobilité bus station object</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../transport/Station.html" title="class in fr.ici.dataImporter.iciObjects.transport">Station</a></span></code></th>
<td class="col-last">
<div class="block">IdF Mobilité station objects.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../transport/SubwayStation.html" title="class in fr.ici.dataImporter.iciObjects.transport">SubwayStation</a></span></code></th>
<td class="col-last">
<div class="block">IdF Mobilité subway station object</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.insee">
<h2>Uses of <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a> in <a href="../../insee/package-summary.html">fr.ici.dataImporter.insee</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Subclasses of <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a> in <a href="../../insee/package-summary.html">fr.ici.dataImporter.insee</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../insee/BpePOI.html" title="class in fr.ici.dataImporter.insee">BpePOI</a></span></code></th>
<td class="col-last">
<div class="block">POI extracted from the Base des Equipements Publics, produced by the INSEE.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../insee/SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></span></code></th>
<td class="col-last">
<div class="block">Abstract class for any SIRENE related object</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></span></code></th>
<td class="col-last">
<div class="block">Object for a Point Of Interest extracted from the SIRENE database</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../insee/SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a></span></code></th>
<td class="col-last">
<div class="block">Represents a place declared for having an economic or associative activity.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.osm">
<h2>Uses of <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a> in <a href="../../osm/package-summary.html">fr.ici.dataImporter.osm</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Subclasses of <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a> in <a href="../../osm/package-summary.html">fr.ici.dataImporter.osm</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../osm/OsmPOI.html" title="class in fr.ici.dataImporter.osm">OsmPOI</a></span></code></th>
<td class="col-last">
<div class="block">OpenStreetMap point of interest. types are gotten from the https://geodatamine.fr/ project</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.paris">
<h2>Uses of <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a> in <a href="../../paris/package-summary.html">fr.ici.dataImporter.paris</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Subclasses of <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a> in <a href="../../paris/package-summary.html">fr.ici.dataImporter.paris</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../paris/ApurPOI.html" title="class in fr.ici.dataImporter.paris">ApurPOI</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../paris/ApurWorkingPlace.html" title="class in fr.ici.dataImporter.paris">ApurWorkingPlace</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
